import React, { useState } from "react";
import { Form, Input, Modal, Select, InputNumber,Row,Title,Col,Option } from "antd";
import { useStore } from "../../utils/useStore";
import { observer } from "mobx-react-lite";


export const FilterUser = observer(() => {
    const store = useStore();
//   const [form] = Form.useForm();
//   const { Option } = Select;
//   const store = useStore();
//   const [value, setValue] = useState();

  return (
    <Modal
    visible={store.membership.visibleModalFilterMembership}
    title={"Filter"}
    //footer={footerLayoutFilter}
  >
    <Row>
      <Col span={24}>
        <Title level={5} type={"secondary"} strong>
          Filter Supplier
        </Title>
        <Select
          mode={"multiple"}
          placeholder="Choose Supplier"
        //   onChange={(val) => {
        //     setFilterSupplier(val);
        //   }}
          style={{ marginBottom: "20px", width: "100%" }}
        //   value={filterSupplier}
        >
          {store.supplier.data.map((item) => (
            <Option value={item.id} key={item.id}>
              {item.name}
            </Option>
          ))}
        </Select>
      </Col>
      <Col span={24}>
        <Title level={5} type={"secondary"} strong>
          Filter Categories
        </Title>
        <Select
          mode={"multiple"}
          placeholder="Choose Category"
        //   onChange={async (val) => handleFilterCategory(val)}
          style={{ marginBottom: "20px", width: "100%" }}
          value={store.product.filterCategory || []}
        >
          {store.category.data.map((item) => (
            <Option value={item.id} key={item.id}>
              {item.name}
            </Option>
          ))}
        </Select>
      </Col>
      <Col span={24}>
        <Title level={5} type={"secondary"} strong>
          Filter Sub-Categories
        </Title>
        <Select
          mode={"multiple"}
          placeholder="Choose Sub-Category"
        //   onChange={(val) => {
        //     setFilterSubCategories(val);
        //   }}
          style={{ marginBottom: "20px", width: "100%" }}
        //   value={filterSubCategories}
        >
          {store.product.dataSubCategories.map((item) => (
            <Option value={item.id} key={item.id}>
              {item.name}
            </Option>
          ))}
        </Select>
      </Col>
    </Row>
  </Modal>
  );
});
